View Issue Details

IDProjectCategoryLast Update
0023004AI War 2[All Projects] Gameplay IssueMar 25, 2020 9:26 pm
ReporterLord Of NothingAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.009 Plenty Of Tuning 
Fixed in Version2.012 Populous 
Summary0023004: Fallen Spire Exo Forces don't know how to handle victory.
DescriptionI've noticed that sometimes when Fallen Spire exogalactic strikeforces successfully defeat a city, they don't know what to do next- they just stay stuck on their order to attack the city hub, and so they just sit on the planet in rings around the hub ordered by range. It might be reasonable for them to stay guarding the planet to prevent a rebuild, rather than making an even nastier death spiral for the player by pressing the attack onto other worlds, but they don't really even do that - they just sit there even if the player is actively retaking the planet and mopping up other AI ships / bombarding them from outside their range.

The latter behaviour can be observed on Fever in the attached save.
TagsNo tags attached.

Activities

Lord Of Nothing

Mar 12, 2020 8:49 am

reporter  

Exo Strike Forces Dont Move.save (3,247,546 bytes)
Exo Strike Forces Dont Move.savemet (94 bytes)

BadgerBadger

Mar 16, 2020 1:33 am

manager   ~0056571

I've checked in a potential fix. Puffin, if you're around in the morning would you mind checking this for me?

BadgerBadger

Mar 25, 2020 9:26 pm

manager   ~0056607

Fixed!

Issue History

Date Modified Username Field Change
Mar 12, 2020 8:49 am Lord Of Nothing New Issue
Mar 12, 2020 8:49 am Lord Of Nothing File Added: Exo Strike Forces Dont Move.save
Mar 12, 2020 8:49 am Lord Of Nothing File Added: Exo Strike Forces Dont Move.savemet
Mar 12, 2020 8:49 am Lord Of Nothing Category Bug - Gameplay => Gameplay Issue
Mar 12, 2020 8:51 am Lord Of Nothing Description Updated View Revisions
Mar 16, 2020 1:33 am BadgerBadger Note Added: 0056571
Mar 16, 2020 1:33 am BadgerBadger Assigned To => RocketAssistedPuffin
Mar 16, 2020 1:33 am BadgerBadger Status new => assigned
Mar 25, 2020 9:26 pm BadgerBadger Assigned To RocketAssistedPuffin => BadgerBadger
Mar 25, 2020 9:26 pm BadgerBadger Status assigned => resolved
Mar 25, 2020 9:26 pm BadgerBadger Resolution open => fixed
Mar 25, 2020 9:26 pm BadgerBadger Fixed in Version => 2.012 Populous
Mar 25, 2020 9:26 pm BadgerBadger Note Added: 0056607